/*
 * Copyright 2009 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.dev.util.arg;

import com.google.gwt.util.tools.ArgHandlerFlag;

/**
 * An ArgHandler that enables detailed Story Of Your Compile data collection.
 */
public class ArgHandlerSoycDetailed extends ArgHandlerFlag {
  private final OptionSoycDetailed options;

  public ArgHandlerSoycDetailed(OptionSoycDetailed options) {
    this.options = options;
  }

  @Override
  public String getPurpose() {
    return "Emit extra, detailed compile-report information at the expense of compile time";
  }

  @Override
  public String getTag() {
    return "-XsoycDetailed";
  }

  @Override
  public boolean isUndocumented() {
    return true;
  }

  @Override
  public boolean setFlag() {
    options.setSoycExtra(true);
    options.setSoycEnabled(true);
    return true;
  }
}
